<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/InvExplorer.Web" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/InvExplorer.Web" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="Asset">
    <xs:sequence>
      <xs:element minOccurs="0" name="AssetType" type="tns:AssetType" />
      <xs:element minOccurs="0" name="Change" type="xs:double" />
      <xs:element minOccurs="0" name="LastPrice" type="xs:double" />
      <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="Symbol" nillable="true" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="Asset" nillable="true" type="tns:Asset" />
  <xs:simpleType name="AssetType">
    <xs:restriction base="xs:string">
      <xs:enumeration value="Stock" />
      <xs:enumeration value="Fund" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="AssetType" nillable="true" type="tns:AssetType" />
  <xs:complexType name="ArrayOfSymbolName">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="SymbolName" nillable="true" type="tns:SymbolName" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ArrayOfSymbolName" nillable="true" type="tns:ArrayOfSymbolName" />
  <xs:complexType name="SymbolName">
    <xs:sequence>
      <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="Symbol" nillable="true" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="SymbolName" nillable="true" type="tns:SymbolName" />
  <xs:complexType name="ArrayOfAssetPrice">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="AssetPrice" nillable="true" type="tns:AssetPrice" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ArrayOfAssetPrice" nillable="true" type="tns:ArrayOfAssetPrice" />
  <xs:complexType name="AssetPrice">
    <xs:sequence>
      <xs:element minOccurs="0" name="Date" type="xs:dateTime" />
      <xs:element minOccurs="0" name="Price" type="xs:double" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="AssetPrice" nillable="true" type="tns:AssetPrice" />
</xs:schema>